package burp.vaycore.onescan;

import burp.vaycore.common.log.Logger;
import burp.vaycore.onescan.common.Config;
import burp.vaycore.onescan.ui.tab.CollectPanel;
import burp.vaycore.onescan.ui.tab.ConfigPanel;
import burp.vaycore.onescan.ui.tab.DataBoardTab;
import burp.vaycore.onescan.ui.tab.FingerprintTab;
import java.awt.Component;
import javax.swing.JFrame;
import javax.swing.JTabbedPane;
import javax.swing.UIManager;
import javax.swing.UIManager.LookAndFeelInfo;

public class OneScan extends JTabbedPane {

   private DataBoardTab mDataBoardTab;
   private ConfigPanel mConfigPanel;
   private FingerprintTab mFingerprintTab;


   public OneScan() {
      this.loadModule();
      this.initView();
   }

   private void loadModule() {
      Logger.info("##############################################\n  OneScan v2.0.0\n  Author:    0ne_1\n  Developer: vaycore\n  Developer: Rural.Dog\n  Github: https://github.com/vaycore/OneScan\n##############################################\n");
   }

   private void initView() {
      this.mDataBoardTab = new DataBoardTab();
      this.addTab(this.mDataBoardTab.getTitleName(), this.mDataBoardTab);
      this.mConfigPanel = new ConfigPanel();
      this.addTab(this.mConfigPanel.getTitleName(), this.mConfigPanel);
      this.mFingerprintTab = new FingerprintTab();
      this.addTab(this.mFingerprintTab.getTitleName(), this.mFingerprintTab);
      CollectPanel collectTab = new CollectPanel();
      this.addTab(collectTab.getTitleName(), collectTab);
   }

   public DataBoardTab getDataBoardTab() {
      return this.mDataBoardTab;
   }

   public ConfigPanel getConfigPanel() {
      return this.mConfigPanel;
   }

   public FingerprintTab getFingerprintTab() {
      return this.mFingerprintTab;
   }

   public static void main(String[] args) {
      initTestModule();
      initUIStyle();
      JFrame frame = new JFrame("OneScan v2.0.0");
      frame.setSize(1400, 700);
      OneScan oneScan = new OneScan();
      oneScan.getDataBoardTab().testInit();
      frame.setContentPane(oneScan);
      frame.setDefaultCloseOperation(3);
      frame.setLocationRelativeTo((Component)null);
      frame.setVisible(true);
   }

   private static void initTestModule() {
      Logger.init(true, System.out, System.err);
      Config.init((String)null);
   }

   private static void initUIStyle() {
      try {
         LookAndFeelInfo[] e = UIManager.getInstalledLookAndFeels();
         int var1 = e.length;

         for(int var2 = 0; var2 < var1; ++var2) {
            LookAndFeelInfo info = e[var2];
            if("Nimbus".equals(info.getName())) {
               UIManager.setLookAndFeel(info.getClassName());
               break;
            }
         }
      } catch (Exception var4) {
         var4.printStackTrace();
      }

   }
}
